StreamCharBuffer.SingleOutputWriter (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.SingleOutputWriter

- org.grails.buffer.StreamCharBuffer.SingleOutputWriter

- All Implemented Interfaces and Traits:
    GrailsWrappedWriter

      static final class StreamCharBuffer.SingleOutputWriter
      extends ConnectedWritersWriter
      implements GrailsWrappedWriter

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private ConnectedWriter` | `connectedWriter` |
    `private boolean` | `encoderAware` |
    `private java.io.Writer` | `writer` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SingleOutputWriter (ConnectedWriter connectedWriter)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.io.Writer` | `append(java.lang.CharSequence csq, int start, int end)`
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `public void` | `forceFlush()`
    `` | `public boolean` | `isAllowUnwrappingOut()`
    `` | `public boolean` | `isEncoderAware()`
    `` | `public void` | `markUsed()`
    `` | `public java.io.Writer` | `unwrap()`
    `` | `public void` | `write(char[] cbuf, int off, int len)`
    `` | `public void` | `write(java.lang.String str, int off, int len)`

- - ### Field Detail

    - #### private final ConnectedWriter connectedWriter

    - #### private final boolean encoderAware

    - #### private final java.io.Writer writer

  - ### Constructor Detail

    - #### public SingleOutputWriter(ConnectedWriter connectedWriter)

  - ### Method Detail

    - #### @java.lang.Override public java.io.Writer append(java.lang.CharSequence csq, int start, int end)

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override public void forceFlush()

    - #### public boolean isAllowUnwrappingOut()

    - #### @java.lang.Override public boolean isEncoderAware()

    - #### public void markUsed()

    - #### public java.io.Writer unwrap()

    - #### @java.lang.Override public void write(char[] cbuf, int off, int len)

    - #### @java.lang.Override public void write(java.lang.String str, int off, int len)